Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/cancel_withdrawal \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 7420,
  "method": "private/cancel_withdrawal",
  "params": {
    "currency": "BTC",
    "id": 1
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/cancel_withdrawal"

payload = {
    "jsonrpc": "2.0",
    "id": 7420,
    "method": "private/cancel_withdrawal",
    "params": {
        "currency": "BTC",
        "id": 1
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 7420,
    method: 'private/cancel_withdrawal',
    params: {currency: 'BTC', id: 1}
  })
};

fetch('https://test.deribit.com/api/v2/private/cancel_withdrawal', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 7420,
  "result": {
    "address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
    "amount": 0.5,
    "confirmed_timestamp": null,
    "created_timestamp": 1550571443070,
    "currency": "BTC",
    "fee": 0.0001,
    "id": 1,
    "priority": 0.15,
    "state": "cancelled",
    "transaction_id": null,
    "updated_timestamp": 1550571443070
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
id
number
required

The withdrawal id

Example:

1

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request